//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$//*
//             LOW ENERGY MUON SPIN RELAXATION, ROTATION, RADIATION 
//
//  ID    : LEMuSRPhysicsList.hh , v 1.1
//  AUTHOR: Taofiq PARAISO
//  DATE  : 2004-08-24 16:33
//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$//
//
//  &           &&&&&&&&&&                            &&&&&&&         &&&&&&&&
//  &           &                                   &&      &&       &       &&
//  &           &                   &      &       &                &       &&
//  &           &&&&&&&            &      &         &&&&&&         &&&&&&&&  
//  &           &                 &      &&                &      &      &&
//  &           &                &&     &  &     &&      &&      &        &
//  &&&&&&&&&&  &&&&&&&&&&      &  &&&&&    &&    &&&&&&&       &        &&   
//                             &
//                            &
//                           &
//                         &  
//                               PHYSICS LIST
//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$//

#ifndef LEMuSRPhysicsList_h
#define LEMuSRPhysicsList_h 1

#include "G4VModularPhysicsList.hh"
#include "globals.hh"

/*!
 * The physics list class is the mandatory class which registers all the particles 
 * and processes taken into account by the simulation. 
 * As their number is quite high, the physics list has been organized in a 
 * modular way, meaning its effective implementation is shared in different files. 
 * Hence, the LEMuSRPhysicsList class registers the different physics lists from the
 * following files:
 * - LEMuSREMPhysics
 * - LEMuSRMuonPhysics
 * - LEMuSRIonPhysics
 * - LEMuSRHadronPhysics
 * - LEMuSRGeneralPhysics
 * .
 * cf. @ref physicsref
 */
class LEMuSRPhysicsList: public G4VModularPhysicsList
{
public:
  //! Constructor.
  LEMuSRPhysicsList();
  //!\dt
  virtual ~LEMuSRPhysicsList();
  
public:
  //! Cuts. 
  virtual void SetCuts();


};


#endif



 
